### Enumeration

# Tracker SparqlError

#### Declaration

    error-domain Tracker.SparqlError

#### Description [src]

Error domain for Tracker Sparql. Errors in this domain will be from the `TrackerSparqlError` enumeration. See `GError` for more information on error domains.

#### Members

`TRACKER_SPARQL_ERROR_CONSTRAINT`

  Subject is not in the domain of a property or trying to set multiple values for a single valued property.

  - Value: `0`
  - Nickname: `constraint`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_INTERNAL`

  Internal error.

  - Value: `1`
  - Nickname: `internal`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_NO_SPACE`

  There was no disk space available to perform the request.

  - Value: `2`
  - Nickname: `no-space`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_ONTOLOGY_NOT_FOUND`

  The specified ontology wasn’t found.

  - Value: `3`
  - Nickname: `ontology-not-found`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_OPEN_ERROR`

  Problem encountered while opening the database.

  - Value: `4`
  - Nickname: `open-error`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_PARSE`

  Error parsing the SPARQL string.

  - Value: `5`
  - Nickname: `parse`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_QUERY_FAILED`

  Problem while executing the query.

  - Value: `6`
  - Nickname: `query-failed`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_TYPE`

  Type constraint failed when trying to insert data.

  - Value: `7`
  - Nickname: `type`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_UNKNOWN_CLASS`

  Unknown class.

  - Value: `8`
  - Nickname: `unknown-class`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_UNKNOWN_GRAPH`

  Unknown graph.

  - Value: `9`
  - Nickname: `unknown-graph`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_UNKNOWN_PROPERTY`

  Unknown property.

  - Value: `10`
  - Nickname: `unknown-property`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_UNSUPPORTED`

  Unsupported feature or method.

  - Value: `11`
  - Nickname: `unsupported`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_MISSING_LAST_MODIFIED_HEADER`

  The ontology doesn’t contain nrl:lastModified header.

  - Value: `12`
  - Nickname: `missing-last-modified-header`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_INCOMPLETE_PROPERTY_DEFINITION`

  The property is not completely defined.

  - Value: `13`
  - Nickname: `incomplete-property-definition`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_CORRUPT`

  A soft/hard corruption was found in the database during operation.

  - Value: `14`
  - Nickname: `corrupt`
  - Available since: 3.0
`TRACKER_SPARQL_ERROR_LAST`

  The total number of error codes.

  - Value: `15`
  - Nickname: `last`
  - Available since: 3.0

#### Type functions

###### tracker_sparql_error_quark

No description available.